---     
tags: 
  - Satbots
description: Returns a Satbot object.
  <br/><br/>User must be an admin.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
          "created_at": "2023-03-28 15:12:40",
          "created_by": {
              "id": 3,
              "name": "Adam Gleeson"
          },
          "finished_at": "2023-03-28 16:54:16",
          "id": 235,
          "log": [
              "Archived on 2023-09-21 12:51:38.723916"
          ],
          "parameters": {
              "--database": "australia",
              "orbit": "asc",
              "out-directory-path": "working_directory/satbot235",
              "resolution": "hr"
          },
          "pid": null,
          "priority": {
              "icon_class": "chevron-double-down",
              "name": "LOW",
              "options": [
                  [
                      1,
                      "LOW"
                  ],
                  [
                      2,
                      "MEDIUM"
                  ],
                  [
                      3,
                      "HIGH"
                  ],
                  [
                      99,
                      "URGENT"
                  ]
              ],
              "title": "LOW",
              "value": 1
          },
          "progress": 0,
          "started_at": "2023-03-28 16:51:10",
          "state": {
              "bootstrap_css_class": "secondary",
              "colour": "#CCC",
              "emoji": "🗄 ",
              "explanation": "Satbots that finished within the last 7 days and ended in an erroneous state.",
              "name": "ARCHIVED",
              "progress_bar_colour": "#efefef",
              "title": "Archived",
              "value": 100
          },
          "time_taken": "0 days, 0 hours, 3 minutes, 6 seconds",
          "type": {
              "description": "Generates tiles to display on the portal.  Does not copy the files to the live server.",
              "dynamic_fields": {
                  "--database": {
                      "choices": "databases",
                      "hint": "If not set, value will default to <strong>UK</strong>",
                      "label": "Database",
                      "optional": true,
                      "type": "select"
                  },
                  "orbit": {
                      "choices": [
                          [
                              "asc",
                              "Ascending"
                          ],
                          [
                              "desc",
                              "Descending"
                          ]
                      ],
                      "hint": "The satellite orbit to create tiles for, choose from 'Ascending' or 'Descending'.",
                      "label": "Orbit",
                      "type": "select"
                  },
                  "resolution": {
                      "choices": [
                          [
                              "hr",
                              "HR"
                          ],
                          [
                              "rural",
                              "Rural"
                          ]
                      ],
                      "hint": "The resolution of the data to create tiles for, choose from 'HR' or 'Rural'.",
                      "label": "Resolution",
                      "type": "select"
                  }
              },
              "file_name": "",
              "legacy": true,
              "name": "GENERATE_TILES",
              "run_exclusively": false,
              "title": "Generate Tiles",
              "value": 1
          }
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

